Debian Bug report logs - #365728
ITP: helium -- functional programming language and a compiler designed especially for learning Haskell

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Eddy Petrişor" <eddy.petrisor@gmail.com>

Date: Tue, 2 May 2006 12:03:38 UTC

Owned by: Arjan Oosting <arjan@debian.org>

Severity: wishlist

Fixed in version helium/1.6-1

Done: Arjan Oosting <arjan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#365728; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Eddy Petrişor" <eddy.petrisor@gmail.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Eddy Petrişor" <eddy.petrisor@gmail.com>
To: submit@bugs.debian.org
Subject: RFP: helium - functional programming language and a compiler designed especially for learning Haskell
Date: Tue, 2 May 2006 14:59:08 +0300
Package: wnpp
Severity: wishlist

* Package name    : helium
 Version         : 1.6
 Upstream Author :  The Helium team (http://www.cs.uu.nl/helium/contact.html)
* URL             : http://www.cs.uu.nl/helium/index.html
* License         :  Helium is distributed under the GNU General Public License.
 Description     : functional PL and a compiler designed especially
for learning Haskell

Helium is a functional programming language and a compiler designed
especially for learning Haskell. It is being developed at the Software
Technology group of the Institute of Information and Computing
Sciences of Utrecht University in the Netherlands. Quality of the
error messages has been the main concern both in the choice of the
language features and in the implementation of the compiler. Our goal
is to let students (or anyone) learn functional programming more
quickly and with more fun.

Note: Helium does not support type classes yet. For that reason it is
incompatible with Haskell text books.

The language is a subset of the Haskell language. The essential
features we want to teach are all there: algebraic data types, pattern
matching, higher-order functions, laziness and polymorphism. The most
notable difference with Haskell is the absence of overloading, which
is a mixed blessing. Without overloading many function types are
simpler and thus more specific type errors can be given.

--
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#365728; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 365728@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: 365728@bugs.debian.org, control@bugs.debian.org
Subject: ITP: helium -- functional programming language and a compiler designed especially for learning Haskell
Date: Tue, 27 Jun 2006 02:36:44 +0200
[Message part 1 (text/plain, inline)]
retitle 365728 ITP: helium -- functional programming language and a compiler designed especially for learning Haskell
owner 365728 !
thanks

Hi, 

I would like to package helium. It is developed at my university and I
played with it (and tried to packaged it) some time ago.

The next two weeks I'm quite busy, but after that I should have time to
package helium.

Greetings Arjan


[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Arjan Oosting <arjanoosting@home.nl>. Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 376491 Request was from Arjan Oosting <arjanoosting@home.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#365728; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Arjan Oosting <arjanoosting@home.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #23 received at 365728@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjanoosting@home.nl>
To: 365728@bugs.debian.org
Cc: Eddy Petrişor <eddy.petrisor@gmail.com>, helium@haskell.org, debian-haskell@lists.urchin.earth.li
Subject: Preliminary Debian package of Helium
Date: Fri, 15 Sep 2006 13:53:31 +0200
[Message part 1 (text/plain, inline)]
Hi, 

I have prepared preliminary Debian package of Helium, the programming
language and compiler designed for learning Haskell. 

The Debian package is available for Debian unstable from my repository
[1] and can be installed by adding the following snippet
to /etc/apt/sources.list: 

 deb http://moonshine.dnsalias.org/debian unstable/

and executing apt-get update && apt-get install helium 

It can also by installed by downloading the .deb file from
http://moonshine.dnsalias.org/debian/unstable/helium_1.6-0.1_i386.deb 
and installing the downloaded .deb file with 
dpkg -i helium_1.6-0.1_i386.deb 
 
The Debian package is still missing man pages for helium, lvmrun and
texthint. When I have written these I will try to get this package
sponsored into the Debian archive.

Greeetings Arjan Oosting

[1] http://moonshine.dnsalias.org/debian/
  
[signature.asc (application/pgp-signature, inline)]

Owner changed from Arjan Oosting <arjanoosting@home.nl> to Arjan Oosting <arjan@debian.org>. Request was from Arjan Oosting <arjan@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Arjan Oosting <arjan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Eddy Petrişor" <eddy.petrisor@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 365728-close@bugs.debian.org (full text, mbox):

From: Arjan Oosting <arjan@debian.org>
To: 365728-close@bugs.debian.org
Subject: Bug#365728: fixed in helium 1.6-1
Date: Fri, 15 Dec 2006 11:59:54 +0000
Source: helium
Source-Version: 1.6-1

We believe that the bug you reported is fixed in the latest version of
helium, which is due to be installed in the Debian FTP archive:

helium_1.6-1.diff.gz
  to pool/main/h/helium/helium_1.6-1.diff.gz
helium_1.6-1.dsc
  to pool/main/h/helium/helium_1.6-1.dsc
helium_1.6-1_i386.deb
  to pool/main/h/helium/helium_1.6-1_i386.deb
helium_1.6.orig.tar.gz
  to pool/main/h/helium/helium_1.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 365728@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arjan Oosting <arjan@debian.org> (supplier of updated helium package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 10 Dec 2006 04:14:05 +0100
Source: helium
Binary: helium
Architecture: source i386
Version: 1.6-1
Distribution: unstable
Urgency: low
Maintainer: Arjan Oosting <arjan@debian.org>
Changed-By: Arjan Oosting <arjan@debian.org>
Description: 
 helium     - compiler used for learning the programming language Haskell
Closes: 365728
Changes: 
 helium (1.6-1) unstable; urgency=low
 .
   * Initial release (Closes: #365728)
Files: 
 ae4d11a93fceb56202a11c440df3837f 609 devel optional helium_1.6-1.dsc
 55476704142a92cbf1dbc69cee6f81b5 960254 devel optional helium_1.6.orig.tar.gz
 248a70dae90e9d810afd7685e61c22b6 44326 devel optional helium_1.6-1.diff.gz
 c9d47f5beac352c7fcdd0a3e4bb0bae3 1783770 devel optional helium_1.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFe4XYUALvsZYuOJARAo+/AKCb7jLyWY7lf1PVjHH5wKE9y1iY2ACdE7Wp
9YwCw/SF9JhDXobBjuqtHcg=
=b4ue
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 21:22:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:07:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.